I'm not able to build this version so far with gpsd v3.5-1 libgps
From http://gpsd.berlios.de/protocol-transition.html#_why_a_new_protocol it looks like there was an api change?

make fails:...